﻿using FluentMigrator;

namespace Coscine.Database.Tests.Migrations
{
    [Migration(333301010001)]
    public class Migration333301010001_SampleMigrationProjects : Migration
    {
        public override void Up()
        {
            Create.Table("TestProjects")
                .WithColumn("ProjectId").AsInt32().NotNullable().PrimaryKey().Identity()
                .WithColumn("ProjectName").AsString(255).NotNullable().WithDefaultValue("Anonymous");

            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project2" });
            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project3" });
            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project1" });
        }

        public override void Down()
        {
            Delete.Table("TestProjects");
        }
    }
}