﻿using Coscine.Database.DataModel;
using LinqToDB;
using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace Coscine.Database.Models
{
    public class RDSResourceTypeModel : DatabaseModel<RDSResourceType>
    {
        public override Expression<Func<RDSResourceType, Guid>> GetIdFromObject()
        {
            return (rdsResourceType) => rdsResourceType.Id;
        }

        public override ITable<RDSResourceType> GetITableFromDatabase(CoscineDB db)
        {
            return db.RDSResourceTypes;
        }

        public override void SetObjectId(RDSResourceType databaseObject, Guid id)
        {
            databaseObject.Id = id;
        }

        public Dictionary<string, string> GetResourceTypeOptions(Guid id)
        {
            var dictionary = new Dictionary<string, string>();
            var resourceType = GetById(id);
            dictionary.Add("bucketname", resourceType.BucketName);
            return dictionary;
        }
    }
}
