﻿using Coscine.Database.DataModel;
using LinqToDB;
using System;
using System.Linq.Expressions;

namespace Coscine.Database.Models
{
    public class TOSModel : DatabaseModel<TOSAccepted>
    {
        public override Expression<Func<TOSAccepted, Guid>> GetIdFromObject()
        {
            return (tosAccepted) => tosAccepted.RelationId;
        }

        public override ITable<TOSAccepted> GetITableFromDatabase(CoscineDB db)
        {
            return db.TOSAccepteds;
        }

        public override void SetObjectId(TOSAccepted databaseObject, Guid id)
        {
            databaseObject.RelationId = id;
        }
    }
}
